# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | List of all members
dirac::VHFilterDAUB9_7 Class Reference

Class to do Daubechies (9,7) filtering operations.

`#include <wavelet_utils.h>`

Inheritance diagram for dirac::VHFilterDAUB9_7:

## Public Member Functions
void | Split (const int xp, const int yp, const int xl, const int yl, CoeffArray &coeff_data)
| Split a subband into 4. More...
void | Synth (const int xp, const int yp, const int xl, const int yl, CoeffArray &coeff_data)
| Create a single band from 4 quadrant bands. More...
int | GetShift () const
| Return the value of the additional bitshift. More...
Public Member Functions inherited from dirac::VHFilter
| VHFilter ()
virtual | ~VHFilter ()

## Additional Inherited Members
Protected Member Functions inherited from dirac::VHFilter
void | Interleave (const int xp, const int yp, const int xl, const int yl, CoeffArray &coeff_data)
| Interleave data from separate subbands into even and odd positions for in-place calculation - called by Synth. More...
void | DeInterleave (const int xp, const int yp, const int xl, const int yl, CoeffArray &coeff_data)
| De-interleave data even and odd positions into separate subbands - called by Split. More...
void | ShiftRowLeft (CoeffType *row, int length, int shift)
| Shift all vals in Row by 'shift' bits to the left to increase accuracy by 'shift' bits. Used in Analysis stage of filter. More...
void | ShiftRowRight (CoeffType *row, int length, int shift)
| Shift all vals in Row by 'shift' bits to the right to counter the shift in the Analysis stage. This function is used in the Synthesis stage. More...

## Member Function Documentation

int dirac::VHFilterDAUB9_7::GetShift | ( |  | ) | const
| inline virtual

Implements dirac::VHFilter.

void dirac::VHFilterDAUB9_7::Split | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | CoeffArray & | coeff_data
| ) |  |
| virtual

Implements dirac::VHFilter.

void dirac::VHFilterDAUB9_7::Synth | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | CoeffArray & | coeff_data
| ) |  |
| virtual

Implements dirac::VHFilter.

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.